Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common
Class QueryCriteria

    java.lang.Object
      com.bea.content.spi.flexspi.common.QueryCriteria

All Implemented Interfaces
  IQueryCriteria

    public class QueryCriteria

extends Object
implements IQueryCriteria

query sort criteria

Constructor Summary
`QueryCriteria(SortCriteria sortCriteria, FilterCriteria filterCriteria)` Construct a QueryCriteria object.
`QueryCriteria(SortCriteria sortCriteria, List<FilterCriteria> filterCriteria)` Create a query criteria with multiple filter criteria.

Method Summary
`boolean` | `equals(Object obj)`
`FilterCriteria` | `getFilterCriteria()` Returns the first filter criteria in the filter criteria list.
`List<FilterCriteria>` | `getFilterCriteriaList()` Return the filter criteria list
`SortCriteria` | `getSortCriteria()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryCriteria

    public QueryCriteria(SortCriteria sortCriteria,
                         FilterCriteria filterCriteria)

  Construct a QueryCriteria object.

  Parameters
    `sortCriteria` - The sort criteria.
    `filterCriteria` - The filter criteria.

### QueryCriteria

    public QueryCriteria(SortCriteria sortCriteria,
                         List<FilterCriteria> filterCriteria)

  Create a query criteria with multiple filter criteria. Please note that not all of the methods may support multiple filter criteria

  Parameters
    `sortCriteria` - The sort criteria.
    `filterCriteria` - The filter criteria list

Method Detail

### getSortCriteria

    public SortCriteria getSortCriteria()

  Specified by:
    `getSortCriteria` in interface `IQueryCriteria`

### getFilterCriteria

    public FilterCriteria getFilterCriteria()

  Returns the first filter criteria in the filter criteria list.

  Specified by:
    `getFilterCriteria` in interface `IQueryCriteria`
  Returns

### getFilterCriteriaList

    public List<FilterCriteria> getFilterCriteriaList()

  Return the filter criteria list

  Specified by:
    `getFilterCriteriaList` in interface `IQueryCriteria`
  Returns
    filterCriteriaList

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved